<template>
  <div class="study-tbbd">
    <div class="tbbd-right">
      <tbbdList :study="studyInfo" @showDetail="showDetailCallback"/>
    </div>
  </div>
</template>

<script>
import tbbdList from './tbbdList.vue'
export default {
  name: 'NonTrialTbbd',
  props: {
    study:{
      type:Object,
      default:()=>{
        return {}
      }
    }
  },
  watch:{
    study: {
      immediate: true,
      deep:true,
      handler(v) {
        this.studyInfo = v
      }
    },
  },
  components: {
    tbbdList
  },
  computed: {},
  filters: {},
  data() {
    return {
      studyInfo:{}
    }
  },
  created() {},
  methods: {
    showDetailCallback(val){
      this.$emit('showDetail',val)
    }
  }
}
</script>
<style lang="scss" scoped>
.study-tbbd {
  display: flex;
  flex-direction: row;
  .tbbd-left {
    background: #fff;
    padding: 20px;
    margin-right: 10px;
    flex-shrink: 0;
    width: 350px;
  }
  .tbbd-right{
    flex-grow: 1;
    overflow: hidden;
  }
}
</style>
